## octave-instrument-control 0.3.1

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2017 Julien Bect <jbect@users.sf.net>
## Copyright 2017 Olaf Till <i7tiol@t-online.de>
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

## Some basic tools (can be overriden using environment variables)
SED ?= sed
TAR ?= tar
GREP ?= grep
CUT ?= cut
TR ?= tr

## Note the use of ':=' (immediate set) and not just '=' (lazy set).
## http://stackoverflow.com/a/448939/1609556
package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")

## These are the paths that will be created for the releases.
target_dir       := target
release_dir      := $(target_dir)/$(package)-$(version)
release_tarball  := $(target_dir)/$(package)-$(version).tar.gz
html_dir         := $(target_dir)/$(package)-html
html_tarball     := $(target_dir)/$(package)-html.tar.gz
## Using $(realpath ...) avoids problems with symlinks due to bug
## #50994 in Octaves scripts/pkg/private/install.m.  But at least the
## release directory above is needed in the relative form, for 'git
## archive --format=tar --prefix=$(release_dir).
real_target_dir  := $(realpath .)/$(target_dir)
installation_dir := $(real_target_dir)/.installation
package_list     := $(installation_dir)/.octave_packages
install_stamp    := $(installation_dir)/.install_stamp

## These can be set by environment variables which allow to easily
## test with different Octave versions.
ifndef OCTAVE
OCTAVE := octave
endif
OCTAVE := $(OCTAVE) --no-gui --silent --norc
MKOCTFILE ?= mkoctfile

## Command used to set permissions before creating tarballs
FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s

## Detect which VCS is used
vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
ifeq ($(vcs),hg)
release_dir_dep := .hg/dirstate
endif
ifeq ($(vcs),git)
release_dir_dep := .git/index
endif


## .PHONY indicates targets that are not filenames
## (https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html)
.PHONY: help

## make will display the command before runnning them.  Use @command
## to not display it (makes specially sense for echo).
help:
	@echo "Targets:"
	@echo "   dist    - Create $(release_tarball) for release."
	@echo "   html    - Create $(html_tarball) for release."
	@echo "   release - Create both of the above and show md5sums."
	@echo "   install - Install the package in $(installation_dir), where it is not visible in a normal Octave session."
	@echo "   check   - Execute package tests."
	@echo "   doctest - Test the help texts with the doctest package."
	@echo "   run     - Run Octave with the package installed in $(installation_dir) in the path."
	@echo "   clean   - Remove everything made with this Makefile."


##
## Recipes for release tarballs (package + html)
##

.PHONY: release dist html clean-tarballs clean-unpacked-release

## To make a release, build the distribution and html tarballs.
release: dist html
	md5sum $(release_tarball) $(html_tarball)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "    and note the changeset the release corresponds to"

## dist and html targets are only PHONY/alias targets to the release
## and html tarballs.
dist: $(release_tarball)
html: $(html_tarball)

## An implicit rule with a recipe to build the tarballs correctly.
%.tar.gz: %
	$(TAR) -c -f - --posix -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"

clean-tarballs:
	@echo "## Cleaning release tarballs (package + html)..."
	-$(RM) $(release_tarball) $(html_tarball)
	@echo

## Create the unpacked package.
##
## Notes:
##    * having ".hg/dirstate" (or ".git/index") as a prerequesite means it is
##      only rebuilt if we are at a different commit.
##    * the variable RM usually defaults to "rm -f"
##    * having this recipe separate from the one that makes the tarball
##      makes it easy to have packages in alternative formats (such as zip)
##    * note that if a commands needs to be run in a specific directory,
##      the command to "cd" needs to be on the same line.  Each line restores
##      the original working directory.
$(release_dir): $(release_dir_dep)
	-$(RM) -r "$@"
ifeq (${vcs},hg)
	hg archive --exclude ".hg*" --type files "$@"
endif
ifeq (${vcs},git)
	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
	$(RM) "$@/.gitignore"
endif
## Don't fall back to run the supposed necessary contents of
## 'bootstrap' here. Users are better off if they provide
## 'bootstrap'. Administrators, checking build reproducibility, can
## put in the missing 'bootstrap' file if they feel they know its
## necessary contents.
ifneq (,$(wildcard src/bootstrap))
	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
endif
## Uncomment this if your src/Makefile.in has these targets for
## pre-building something for the release (e.g. documentation).
#	cd "$@/src" && ./configure && $(MAKE) prebuild && \
#	  $(MAKE) distclean && $(RM) Makefile
##
	${FIX_PERMISSIONS} "$@"

run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                         --eval ' pkg ("load", "$(package)"); '

# html_options = --eval 'options = get_html_options ("octave-forge");'
## Uncomment this for package documentation.
html_options = --eval 'options = get_html_options ("octave-forge");'
$(html_dir): $(install_stamp)
	$(RM) -r "$@";
	$(run_in_place)                    \
        --eval ' pkg load generate_html; ' \
	$(html_options)                    \
        --eval ' generate_package_html ("$(package)", "$@", options); ';
	$(FIX_PERMISSIONS) "$@";

clean-unpacked-release:
	@echo "## Cleaning unpacked release tarballs (package + html)..."
	-$(RM) -r $(release_dir) $(html_dir)
	@echo

##
## Recipes for installing the package.
##

.PHONY: install clean-install

octave_install_commands = \
' llist_path = pkg ("local_list"); \
  mkdir ("$(installation_dir)"); \
  load (llist_path); \
  local_packages(cellfun (@ (x) strcmp ("$(package)", x.name), local_packages)) = []; \
  save ("$(package_list)", "local_packages"); \
  pkg ("local_list", "$(package_list)"); \
  pkg ("prefix", "$(installation_dir)", "$(installation_dir)"); \
  pkg ("install", "-local", "-verbose", "$(release_tarball)"); '

## Install unconditionally. Maybe useful for testing installation with
## different versions of Octave.
install: $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

## Install only if installation (under target/...) is not current.
$(install_stamp): $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

clean-install:
	@echo "## Cleaning installation under $(installation_dir) ..."
	-$(RM) -r $(installation_dir)
	@echo


##
## Recipes for testing purposes
##

.PHONY: run doctest check

## Start an Octave session with the package directories on the path for
## interactice test of development sources.
run: $(install_stamp)
	$(run_in_place) --persist

## Test example blocks in the documentation.  Needs doctest package
##  https://octave.sourceforge.io/doctest/index.html
doctest: $(install_stamp)
	$(run_in_place) --eval 'pkg load doctest;'                                                          \
	  --eval "targets = '$(shell (ls inst; ls src | $(GREP) .oct) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"


## Test package.
octave_test_commands = \
' pkgs = pkg("list", "instrument-control"); \
  cd ("$(target_dir)/"); \
  dirs = {sprintf(".installation/%s-%s", pkgs{1}.name, pkgs{1}.version)}; \
  __run_test_suite__ (dirs, {}); '

## the following works, too, but provides no overall summary output as
## __run_test_suite__ does:
##
##    else cellfun (@runtests, horzcat (cellfun (@ (dir) ostrsplit (([~, dirs] = system (sprintf ("find %s -type d", dir))), "\n\r", true), dirs, "UniformOutput", false){:})); endif '
check: $(install_stamp)
	$(run_in_place) --eval $(octave_test_commands)


##
## CLEAN
##

.PHONY: clean

clean: clean-tarballs clean-unpacked-release clean-install
	test -e inst/test && rmdir inst/test || true
	test -e $(target_dir)/fntests.log && rm -f $(target_dir)/fntests.log || true
	@echo "## Removing target directory (if empty)..."
	test -e $(target_dir) && rmdir $(target_dir) || true
	@echo
	@echo "## Cleaning done"
	@echo

=== debian/changelog ===
octave-instrument-control (0.3.1-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:56:05 -0200

octave-instrument-control (0.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #899145)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Jun 2018 10:17:17 -0300

=== debian/control ===
Source: octave-instrument-control
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave (>= 0.5.2)
Standards-Version: 4.3.0
Homepage: https://octave.sourceforge.io/instrument-control/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-instrument-control.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-instrument-control
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-instrument-control
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: instrument control for Octave
 This package contains Low level input/output functions for serial,
 i2c, parallel, tcp, gpib, vxi11 and usbtmc interfaces for use in
 Octave, a scientific computation software.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-instrument-control 0.4.0

=== Makefile ===
--- 
+++ 
@@ -2,11 +2,14 @@
 ## Copyright 2015-2016 Oliver Heimlich
 ## Copyright 2017 Julien Bect <jbect@users.sf.net>
 ## Copyright 2017 Olaf Till <i7tiol@t-online.de>
+## Copyright 2018-2019 John Donoghue <john.donoghue@ieee.org>
 ##
 ## Copying and distribution of this file, with or without modification,
 ## are permitted in any medium without royalty provided the copyright
 ## notice and this notice are preserved.  This file is offered as-is,
 ## without any warranty.
+
+TOPDIR := $(shell pwd)
 
 ## Some basic tools (can be overriden using environment variables)
 SED ?= sed
@@ -47,6 +50,14 @@
 ## Command used to set permissions before creating tarballs
 FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s
 
+HG           := hg
+HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
+HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
+HG_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))
+
+TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(HG_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
+TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)
+
 ## Detect which VCS is used
 vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
 ifeq ($(vcs),hg)
@@ -94,7 +105,7 @@
 
 ## An implicit rule with a recipe to build the tarballs correctly.
 %.tar.gz: %
-	$(TAR) -c -f - --posix -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"
+	$(TAR) -cf - $(TAR_OPTIONS) -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"
 
 clean-tarballs:
 	@echo "## Cleaning release tarballs (package + html)..."
@@ -131,8 +142,8 @@
 endif
 ## Uncomment this if your src/Makefile.in has these targets for
 ## pre-building something for the release (e.g. documentation).
-#	cd "$@/src" && ./configure && $(MAKE) prebuild && \
-#	  $(MAKE) distclean && $(RM) Makefile
+	cd "$@/src" && ./configure && $(MAKE) prebuild && \
+	  $(MAKE) distclean && $(RM) Makefile
 ##
 	${FIX_PERMISSIONS} "$@"
 
@@ -201,6 +212,9 @@
 run: $(install_stamp)
 	$(run_in_place) --persist
 
+rungui: $(install_stamp)
+	$(run_in_place) --gui --persist
+
 ## Test example blocks in the documentation.  Needs doctest package
 ##  https://octave.sourceforge.io/doctest/index.html
 doctest: $(install_stamp)
@@ -212,8 +226,7 @@
 ## Test package.
 octave_test_commands = \
 ' pkgs = pkg("list", "instrument-control"); \
-  cd ("$(target_dir)/"); \
-  dirs = {sprintf(".installation/%s-%s", pkgs{1}.name, pkgs{1}.version)}; \
+  dirs = {pkgs{1}.dir}; \
   __run_test_suite__ (dirs, {}); '
 
 ## the following works, too, but provides no overall summary output as

=== debian/changelog ===
octave-instrument-control (0.4.0-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:08 +0100

octave-instrument-control (0.4.0-4) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N into
      the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 05 Nov 2019 14:15:52 -0300

octave-instrument-control (0.4.0-3) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Upload to unstable
  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)

  [ Sébastien Villemot ]
  * d/copyright: use correct license short name (FSFAP) for Makefile

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 10 Jul 2019 05:15:53 -0300

octave-instrument-control (0.4.0-2) experimental; urgency=medium

  * d/p/xtest-in-unit-tests.patch: Ignore unit tests involding TCP/IP

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 12 May 2019 04:18:37 -0300

octave-instrument-control (0.4.0-1) experimental; urgency=medium

  * New upstream version 0.4.0
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 06 May 2019 11:08:29 -0300

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissiere <rafael@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               dh-octave (>= 0.5.2)
-Standards-Version: 4.3.0
+               dh-octave (>= 0.7.1)
+Standards-Version: 4.4.1
 Homepage: https://octave.sourceforge.io/instrument-control/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-instrument-control.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-instrument-control

=== debian/watch ===
version=3
http://sf.net/octave/instrument-control-(.+)\.tar\.gz

## octave-instrument-control 0.5.0

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 GREP ?= grep
 CUT ?= cut
 TR ?= tr
+TEXI2PDF  ?= texi2pdf -q
 
 ## Note the use of ':=' (immediate set) and not just '=' (lazy set).
 ## http://stackoverflow.com/a/448939/1609556
@@ -145,6 +146,8 @@
 	cd "$@/src" && ./configure && $(MAKE) prebuild && \
 	  $(MAKE) distclean && $(RM) Makefile
 ##
+	$(MAKE) -C "$@" docs
+	cd "$@" && $(RM) -rf "devel" && $(RM) -f doc/mkfuncdocs.py
 	${FIX_PERMISSIONS} "$@"
 
 run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
@@ -152,7 +155,8 @@
 
 # html_options = --eval 'options = get_html_options ("octave-forge");'
 ## Uncomment this for package documentation.
-html_options = --eval 'options = get_html_options ("octave-forge");'
+html_options = --eval 'options = get_html_options ("octave-forge");' \
+               --eval 'options.package_doc = "$(package).texi";'
 $(html_dir): $(install_stamp)
 	$(RM) -r "$@";
 	$(run_in_place)                    \
@@ -165,6 +169,27 @@
 	@echo "## Cleaning unpacked release tarballs (package + html)..."
 	-$(RM) -r $(release_dir) $(html_dir)
 	@echo
+
+.PHONY: docs
+docs: doc/$(package).pdf doc/$(package).info
+
+doc/$(package).info: doc/$(package).texi doc/functions.texi
+	cd doc && $(MAKEINFO) $(package).texi
+
+doc/$(package).pdf: doc/$(package).texi doc/functions.texi
+	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(TEXI2PDF) $(package).texi
+	#cd doc && texi2html --split=n --output $(package).html $(package).texi
+	cd doc && $(RM) -f $(package).aux  $(package).cp  $(package).cps  $(package).fn  $(package).fns  $(package).log  $(package).toc
+
+doc/functions.texi:
+	$(eval src_dirs = $(shell cd doc && find ../src -type d -printf '--src-dir=%p '))
+	cd doc && ./mkfuncdocs.py --src-dir=../inst/ $(src_dirs) ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi
+
+.PHONY: clean-docs
+clean-docs:
+	$(RM) -f doc/$(package).info
+	$(RM) -f doc/$(package).pdf
+	$(RM) -f doc/functions.texi
 
 ##
 ## Recipes for installing the package.
@@ -243,7 +268,7 @@
 
 .PHONY: clean
 
-clean: clean-tarballs clean-unpacked-release clean-install
+clean: clean-tarballs clean-unpacked-release clean-install clean-docs
 	test -e inst/test && rmdir inst/test || true
 	test -e $(target_dir)/fntests.log && rm -f $(target_dir)/fntests.log || true
 	@echo "## Removing target directory (if empty)..."

=== debian/changelog ===
octave-instrument-control (0.5.0-3) unstable; urgency=medium

  * d/p/xtest-in-unit-tests.patch: Set Forwarded:not-needed

 -- Rafael Laboissière <rafael@debian.org>  Sat, 01 Aug 2020 02:57:05 -0300

octave-instrument-control (0.5.0-2) unstable; urgency=medium

  * d/control: Bump debhelper compatibitlity level to 13
  * d/u/metadata: Drop Name and Contact fields
  * d/p/xtest-in-unit-tests.patch: Switch to xtest for tests involving
    remote servers (Closes: #964211)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 13 Jul 2020 06:15:39 -0300

octave-instrument-control (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * d/copyright: Reflect upstream changes
  * d/p/xtest-in-unit-tests.patch: Refresh for new upstream version
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)
  * d/u/metadata: New file
  * d/clean: New file

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Apr 2020 11:53:58 -0300

## octave-instrument-control 0.6.0

=== DESCRIPTION ===
Name: instrument-control
Version: 0.6.0
Date: 2020-10-24
Author: Andrius Sutas <andrius.sutas@gmail.com>, Stefan Mahr <dac922@gmx.de>, John Donoghue <john.donoghue@ieee.org>
Maintainer: Stefan Mahr <dac922@gmx.de>, John Donoghue <john.donoghue@ieee.org>
Title: Instrument Control
Description: Low level I/O functions for serial, i2c, spi, parallel, tcp, gpib, vxi11, udp and usbtmc interfaces.
Categories: instrument-control
Depends: octave (>= 3.8.0)
Autoload: no
License: GPLv3+

=== debian/changelog ===
octave-instrument-control (0.6.0-2) unstable; urgency=medium

  * d/p/xtest-tcpclient.patch: New patch
  * d/watch: Bump to version 4

 -- Rafael Laboissière <rafael@debian.org>  Tue, 17 Nov 2020 04:06:55 -0300

octave-instrument-control (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * d/copyright: Reflect upstream changes
  * d/p/xtest-in-unit-tests.patch: Refresh for new upstream version
  * d/s/options: Ignore common.mk for upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Sat, 31 Oct 2020 04:02:35 -0300

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://octave.sourceforge.io/instrument-control/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-instrument-control.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-instrument-control

=== debian/watch ===
version=4
http://sf.net/octave/instrument-control-(.+)\.tar\.gz

## octave-instrument-control 0.7.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ## Copyright 2015-2016 Oliver Heimlich
 ## Copyright 2017 Julien Bect <jbect@users.sf.net>
 ## Copyright 2017 Olaf Till <i7tiol@t-online.de>
-## Copyright 2018-2019 John Donoghue <john.donoghue@ieee.org>
+## Copyright 2018-2020 John Donoghue <john.donoghue@ieee.org>
 ##
 ## Copying and distribution of this file, with or without modification,
 ## are permitted in any medium without royalty provided the copyright
@@ -47,6 +47,7 @@
 endif
 OCTAVE := $(OCTAVE) --no-gui --silent --norc
 MKOCTFILE ?= mkoctfile
+OCTAVE_CONFIG ?= octave-config
 
 ## Command used to set permissions before creating tarballs
 FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s
@@ -244,9 +245,8 @@
 ##  https://octave.sourceforge.io/doctest/index.html
 doctest: $(install_stamp)
 	$(run_in_place) --eval 'pkg load doctest;'                                                          \
-	  --eval "targets = '$(shell (ls inst; ls src | $(GREP) .oct) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
-	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"
-
+	  --eval "targets = pkg('list', '$(package)'){1}.dir;" \
+	  --eval "doctest (targets);"
 
 ## Test package.
 octave_test_commands = \
@@ -268,8 +268,9 @@
 
 .PHONY: clean
 
+ARCHDIR   := "$(shell $(OCTAVE_CONFIG) -p CANONICAL_HOST_TYPE)-$(shell $(OCTAVE_CONFIG) -p API_VERSION)"
 clean: clean-tarballs clean-unpacked-release clean-install clean-docs
-	test -e inst/test && rmdir inst/test || true
+	test -e inst/$(ARCHDIR) && rmdir inst/$(ARCHDIR) || true
 	test -e $(target_dir)/fntests.log && rm -f $(target_dir)/fntests.log || true
 	@echo "## Removing target directory (if empty)..."
 	test -e $(target_dir) && rmdir $(target_dir) || true

=== debian/changelog ===
octave-instrument-control (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1
  * d/copyright: Reflect upstream changes
  * d/p/honor-cflags.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 22 Jan 2022 12:50:57 -0300

octave-instrument-control (0.7.0-3) unstable; urgency=medium

  * d/copyright: Accentuate my family name
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * d/u/metadata: Add field Archive
  * d/s/options: Avoid exclusion of Makefile.in files
  * d/p/honor-cflags.patch: New patch
  * d/p/xtest-resolvehost.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sun, 14 Nov 2021 17:48:49 -0300

octave-instrument-control (0.7.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Mon, 16 Aug 2021 13:39:53 -0300

octave-instrument-control (0.7.0-1) experimental; urgency=medium

  * New upstream version 0.7.0
  * d/p/xtest-tcpclient.patch: Drop patch (not needed anymore)
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/clean: Clean automatically generated files
  * d/u/metadata: Add Repository field

 -- Rafael Laboissière <rafael@debian.org>  Sat, 27 Feb 2021 06:18:49 -0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://octave.sourceforge.io/instrument-control/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-instrument-control.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-instrument-control

## octave-instrument-control 0.8.0

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,23 @@
 CUT ?= cut
 TR ?= tr
 TEXI2PDF  ?= texi2pdf -q
+
+# work out a possible help generator
+ifeq ($(strip $(QHELPGENERATOR)),)
+  ifneq ($(shell qhelpgenerator-qt5 -v 2>/dev/null),)
+    QHELPGENERATOR = qhelpgenerator-qt5
+  else ifneq ($(shell qcollectiongenerator-qt5 -v 2>/dev/null),)
+    QHELPGENERATOR = qcollectiongenerator-qt5
+  #else ifneq ($(shell qhelpgenerator -qt5 -v 2>/dev/null),)
+  # v4 doesnt work
+  #  QHELPGENERATOR = qhelpgenerator -qt5
+  else ifneq ($(shell qcollectiongenerator -qt5 -v 2>/dev/null),)
+    QHELPGENERATOR = qcollectiongenerator -qt5
+  else
+    QHELPGENERATOR = true
+  endif
+endif
+
 
 ## Note the use of ':=' (immediate set) and not just '=' (lazy set).
 ## http://stackoverflow.com/a/448939/1609556
@@ -148,7 +165,7 @@
 	  $(MAKE) distclean && $(RM) Makefile
 ##
 	$(MAKE) -C "$@" docs
-	cd "$@" && $(RM) -rf "devel" && $(RM) -f doc/mkfuncdocs.py
+	cd "$@" && $(RM) -rf "devel" && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
 	${FIX_PERMISSIONS} "$@"
 
 run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
@@ -157,7 +174,8 @@
 # html_options = --eval 'options = get_html_options ("octave-forge");'
 ## Uncomment this for package documentation.
 html_options = --eval 'options = get_html_options ("octave-forge");' \
-               --eval 'options.package_doc = "$(package).texi";'
+               --eval 'options.package_doc = "$(package).texi";' \
+	       --eval 'options.package_doc_options = [options.package_doc_options " --css-include=$(package).css"];'
 $(html_dir): $(install_stamp)
 	$(RM) -r "$@";
 	$(run_in_place)                    \
@@ -172,7 +190,16 @@
 	@echo
 
 .PHONY: docs
-docs: doc/$(package).pdf doc/$(package).info
+docs: doc/$(package).pdf doc/$(package).info doc/$(package).qhc doc/$(package).html
+	echo $(shell qhelpgenerator-qt5 2>/dev/null)
+
+doc/$(package).html: doc/$(package).texi doc/functions.texi
+	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css  --no-split $(package).texi
+
+doc/$(package).qhc: doc/$(package).html
+	# try also create qch file if can
+	cd doc && ./mkqhcp.py $(package) && $(QHELPGENERATOR) $(package).qhcp -o $(package).qhc
+	cd doc && $(RM) -f $(package).qhcp $(package).qhp
 
 doc/$(package).info: doc/$(package).texi doc/functions.texi
 	cd doc && $(MAKEINFO) $(package).texi
@@ -190,6 +217,7 @@
 clean-docs:
 	$(RM) -f doc/$(package).info
 	$(RM) -f doc/$(package).pdf
+	$(RM) -f doc/$(package).html
 	$(RM) -f doc/functions.texi
 
 ##

=== debian/changelog ===
octave-instrument-control (0.8.0-2) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 08:56:45 -0300

octave-instrument-control (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
  * d/p/fix-realclean-and-distclean-rules.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 24 Jul 2022 13:52:59 -0300

octave-instrument-control (0.7.1-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * Proper cleaning of upsream files
    + d/p/fix-realclean-and-distclean-rules.patch: New patch
    + d/clean, d/s/options: Drop obsolete files
    + d/control: Build-depend on dh-octave >= 1.2.3

 -- Rafael Laboissière <rafael@debian.org>  Mon, 11 Jul 2022 08:54:40 -0300

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1)
-Standards-Version: 4.6.0
+               dh-octave (>= 1.2.3),
+               dh-sequence-octave
+Standards-Version: 4.6.1
 Homepage: https://octave.sourceforge.io/instrument-control/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-instrument-control.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-instrument-control

## octave-instrument-control 0.9.1

=== debian/changelog ===
octave-instrument-control (0.9.1-1build1) mantic; urgency=medium

  * No-change rebuild against octave-abi-58

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Aug 2023 17:29:06 +0000

octave-instrument-control (0.9.1-1) unstable; urgency=medium

  * Upload to unstable

  * New upstream version 0.9.1
  * d/u/metadata:
    + Update Bug-Database URL
    + Add Changelog and Documentation URLs

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Jun 2023 17:54:10 -0300

octave-instrument-control (0.9.0-1) experimental; urgency=medium

  * New upstream version 0.9.0
  * d/copyright: Reflect upstream changes
  * d/control:
    + Update upstream Homepage URL
    + Bump Standards-Version to 4.6.2 (no changes needed)
  * Refresh patches for new upstream version:
    + d/p/xtest-in-unit-tests.patch
    + d/p/xtest-resolvehost.patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 03 Jun 2023 05:14:58 -0300

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 1.2.3),
                dh-sequence-octave
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/instrument-control/
+Standards-Version: 4.6.2
+Homepage: https://gnu-octave.github.io/packages/instrument-control/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-instrument-control.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-instrument-control
 Testsuite: autopkgtest-pkg-octave

## octave-instrument-control 0.9.2

=== Makefile ===
--- 
+++ 
@@ -41,6 +41,7 @@
 package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
 $(TR) '[:upper:]' '[:lower:]')
 version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")
+pkg_date := $(shell $(GREP) "^Date: " DESCRIPTION | $(CUT) -f2 -d" ")
 
 ## These are the paths that will be created for the releases.
 target_dir       := target
@@ -189,11 +190,18 @@
 	-$(RM) -r $(release_dir) $(html_dir)
 	@echo
 
+doc/version.texi: $(release_dir_dep)
+	@echo Generating $@
+	@echo "@c autogenerated from Makefile" > $@
+	@echo "@set VERSION $(version)" >> $@
+	@echo "@set PACKAGE $(package)" >> $@
+	@echo "@set DATE $(pkg_date)" >> $@
+
 .PHONY: docs
 docs: doc/$(package).pdf doc/$(package).info doc/$(package).qhc doc/$(package).html
 	echo $(shell qhelpgenerator-qt5 2>/dev/null)
 
-doc/$(package).html: doc/$(package).texi doc/functions.texi
+doc/$(package).html: doc/$(package).texi doc/functions.texi doc/version.texi
 	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css  --no-split $(package).texi
 
 doc/$(package).qhc: doc/$(package).html
@@ -201,15 +209,15 @@
 	cd doc && ./mkqhcp.py $(package) && $(QHELPGENERATOR) $(package).qhcp -o $(package).qhc
 	cd doc && $(RM) -f $(package).qhcp $(package).qhp
 
-doc/$(package).info: doc/$(package).texi doc/functions.texi
+doc/$(package).info: doc/$(package).texi doc/functions.texi doc/version.texi
 	cd doc && $(MAKEINFO) $(package).texi
 
-doc/$(package).pdf: doc/$(package).texi doc/functions.texi
+doc/$(package).pdf: doc/$(package).texi doc/functions.texi doc/version.texi
 	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(TEXI2PDF) $(package).texi
 	#cd doc && texi2html --split=n --output $(package).html $(package).texi
 	cd doc && $(RM) -f $(package).aux  $(package).cp  $(package).cps  $(package).fn  $(package).fns  $(package).log  $(package).toc
 
-doc/functions.texi:
+doc/functions.texi: $(release_dir_dep)
 	$(eval src_dirs = $(shell cd doc && find ../src -type d -printf '--src-dir=%p '))
 	cd doc && ./mkfuncdocs.py --src-dir=../inst/ $(src_dirs) ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi

=== debian/changelog ===
octave-instrument-control (0.9.2-1) unstable; urgency=medium

  * New upstream version 0.9.2
  * d/copyright:
    + Reflect upstream changes
    + Update Source URL
  * Build and install the documentation
    + d/control: Build-depend on texlive and dh-octave >= 1.7.0
    + d/octave-instrument-control.doc-base: New file
    + d/octave-instrument-control.docs: New file
    + d/octave-instrument-control.info: New file
    + d/p/add-info-dir.patch: New patch
    + d/rules: Add rule for building the docs
    + d/s/lintian-overrides: Add override for source-is-missing

 -- Rafael Laboissière <rafael@debian.org>  Sat, 06 Jan 2024 19:35:32 -0300

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 1.2.3),
-               dh-sequence-octave
+               dh-octave (>= 1.7.0),
+               dh-sequence-octave,
+               texlive
 Standards-Version: 4.6.2
 Homepage: https://gnu-octave.github.io/packages/instrument-control/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-instrument-control.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build:
	make -k docs || true
endif

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/instrument-control/ \
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/instrument-control-(.+).tar.gz

## octave-instrument-control 0.9.3

=== debian/changelog ===
octave-instrument-control (0.9.3-1build1) oracular; urgency=medium

  * No-change rebuild against octave-abi-59

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 14 May 2024 09:45:32 +0000

octave-instrument-control (0.9.3-1) unstable; urgency=medium

  * New upstream version 0.9.3
  * d/p/add-info-dir.patch: Drop patch (applied upstream)
  * d/p/xtest-resolvehost.patch: Refresh for new upstream version
  * d/u/metadata: Update Bug-Database URL
  * d/control: Build-depend on python3 and dh-octave >= 1.8.0
  * d/rules: Explicitly build the .info file
  * d/octave-instrument-control.doc-base: Add stanza for the info file

 -- Rafael Laboissière <rafael@debian.org>  Sat, 06 Apr 2024 01:20:10 -0300

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 1.7.0),
+               dh-octave (>= 1.8.0),
                dh-sequence-octave,
+               python3,
                texlive
 Standards-Version: 4.6.2
 Homepage: https://gnu-octave.github.io/packages/instrument-control/

## octave-instrument-control 0.9.4

=== DESCRIPTION ===
Name: instrument-control
Version: 0.9.4
Date: 2025-01-19
Author: Andrius Sutas <andrius.sutas@gmail.com>, Stefan Mahr <dac922@gmx.de>, John Donoghue <john.donoghue@ieee.org>
Maintainer: Stefan Mahr <dac922@gmx.de>, John Donoghue <john.donoghue@ieee.org>
Title: Instrument Control
Description: Low level I/O functions for serial, i2c, spi, parallel, tcp, gpib, vxi11, udp and usbtmc interfaces.
Categories: instrument-control
Depends: octave (>= 4.0.0)
Autoload: no
License: GPLv3+

=== debian/changelog ===
octave-instrument-control (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4
  * d/copyright: Update list of Copyright years
  * d/control:
    + Bump Standards-Version to 4.7.0 (no changes needed)
    + Resctrict build-dependencies needed for building the
      documentation to the "!nodoc" profile

 -- Rafael Laboissière <rafael@debian.org>  Sat, 25 Jan 2025 04:08:16 -0300

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 1.8.0),
                dh-sequence-octave,
-               python3,
-               texlive
-Standards-Version: 4.6.2
+               python3 <!nodoc>,
+               texlive <!nodoc>
+Standards-Version: 4.7.0
 Homepage: https://gnu-octave.github.io/packages/instrument-control/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-instrument-control.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-instrument-control

## octave-instrument-control 0.9.5

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,8 @@
 CUT ?= cut
 TR ?= tr
 TEXI2PDF  ?= texi2pdf -q
+MAKEINFO  ?= makeinfo
+MAKEINFO_HTML_OPTIONS := --no-headers --set-customization-variable 'COPIABLE_LINKS 0' --set-customization-variable 'COPIABLE_ANCHORS 0' --no-split 
 
 # work out a possible help generator
 ifeq ($(strip $(QHELPGENERATOR)),)
@@ -166,7 +168,8 @@
 	  $(MAKE) distclean && $(RM) Makefile
 ##
 	$(MAKE) -C "$@" docs
-	cd "$@" && $(RM) -rf "devel" && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
+	cd "$@" && $(RM) -rf "devel" 
+	# && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
 	${FIX_PERMISSIONS} "$@"
 
 run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
@@ -202,7 +205,7 @@
 	echo $(shell qhelpgenerator-qt5 2>/dev/null)
 
 doc/$(package).html: doc/$(package).texi doc/functions.texi doc/version.texi
-	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css  --no-split $(package).texi
+	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css $(MAKEINFO_HTML_OPTIONS) $(package).texi
 
 doc/$(package).qhc: doc/$(package).html
 	# try also create qch file if can
@@ -311,6 +314,3 @@
 	@echo "## Removing target directory (if empty)..."
 	test -e $(target_dir) && rmdir $(target_dir) || true
 	@echo
-	@echo "## Cleaning done"
-	@echo
-

=== debian/changelog ===
octave-instrument-control (0.9.5-3) unstable; urgency=medium

  * d/p/assert-timeout.patch: New patch
  * d/control:
    + Drop superfluous build-dependency on texlive-binaries
    + Add texlive-latex-base to Build-Depends

 -- Rafael Laboissière <rafael@debian.org>  Mon, 20 Oct 2025 11:11:11 -0300

octave-instrument-control (0.9.5-2) unstable; urgency=medium

  * d/control:
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Build-depend on texlive-base and texlive-binaries instead of the
      broader package texlive
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Update override for the Lintian warning
    debian-watch-lacks-sourceforge-redirector
  * d/copyright: Use URL instead of the old postal address of the Free
    Software Foundation

 -- Rafael Laboissière <rafael@debian.org>  Sat, 18 Oct 2025 10:58:08 -0300

octave-instrument-control (0.9.5-1) unstable; urgency=medium

  * New upstream version 0.9.5
  * d/copyright: Reflect upstream changes
  * d/p/xtest-resolvehost.patch: Refresh for new upstream version
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)
  * d/s/lintian-overrides: Drop unused override source-is-missing

 -- Rafael Laboissière <rafael@debian.org>  Tue, 29 Apr 2025 03:21:09 -0300

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
                dh-octave (>= 1.8.0),
                dh-sequence-octave,
                python3 <!nodoc>,
-               texlive <!nodoc>
-Standards-Version: 4.7.0
+               texlive-base <!nodoc>,
+               texlive-latex-base <!nodoc>
+Standards-Version: 4.7.2
 Homepage: https://gnu-octave.github.io/packages/instrument-control/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-instrument-control.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-instrument-control
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-instrument-control
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,5 @@
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_build:
-	make -k docs || true
+	make -k docs doc/instrument-control.info
 endif

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/instrument-control/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/instrument-control-@ANY_VERSION@@ARCHIVE_EXT@

## octave-instrument-control 0.10.0

=== DESCRIPTION ===
Name: instrument-control
Version: 0.10.0
Date: 2026-01-17
Author: Andrius Sutas <andrius.sutas@gmail.com>, Stefan Mahr <dac922@gmx.de>, John Donoghue <john.donoghue@ieee.org>
Maintainer: John Donoghue <john.donoghue@ieee.org>
Title: Instrument Control
Description: Low level I/O functions for serial, i2c, spi, parallel, tcp, gpib, modbus, visa, vxi11, udp and usbtmc interfaces.
Categories: instrument-control
Depends: octave (>= 4.0.0)
Autoload: no
License: GPLv3+
Url: https://gnu-octave.github.io/instrument-control/
Repository: https://github.com/gnu-octave/instrument-control
Tracker: https://github.com/gnu-octave/instrument-control/issues

=== Makefile ===
--- 
+++ 
@@ -72,23 +72,23 @@
 ## Command used to set permissions before creating tarballs
 FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s
 
-HG           := hg
-HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
-HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
-HG_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))
-
-TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(HG_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
-TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)
-
 ## Detect which VCS is used
 vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
 ifeq ($(vcs),hg)
 release_dir_dep := .hg/dirstate
+HG           := hg
+HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
+HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
+REPO_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))
 endif
 ifeq ($(vcs),git)
 release_dir_dep := .git/index
-endif
-
+GIT          := git
+REPO_TIMESTAMP := $(firstword $(shell $(GIT) log -n1 --date=unix --format="%ad"))
+endif
+
+TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(REPO_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
+TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)
 
 ## .PHONY indicates targets that are not filenames
 ## (https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html)
@@ -205,7 +205,7 @@
 	echo $(shell qhelpgenerator-qt5 2>/dev/null)
 
 doc/$(package).html: doc/$(package).texi doc/functions.texi doc/version.texi
-	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css $(MAKEINFO_HTML_OPTIONS) $(package).texi
+	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(package).css $(MAKEINFO_HTML_OPTIONS) $(package).texi
 
 doc/$(package).qhc: doc/$(package).html
 	# try also create qch file if can
@@ -216,7 +216,7 @@
 	cd doc && $(MAKEINFO) $(package).texi
 
 doc/$(package).pdf: doc/$(package).texi doc/functions.texi doc/version.texi
-	cd doc && SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(TEXI2PDF) $(package).texi
+	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(TEXI2PDF) $(package).texi
 	#cd doc && texi2html --split=n --output $(package).html $(package).texi
 	cd doc && $(RM) -f $(package).aux  $(package).cp  $(package).cps  $(package).fn  $(package).fns  $(package).log  $(package).toc
 
@@ -311,6 +311,3 @@
 clean: clean-tarballs clean-unpacked-release clean-install clean-docs
 	test -e inst/$(ARCHDIR) && rmdir inst/$(ARCHDIR) || true
 	test -e $(target_dir)/fntests.log && rm -f $(target_dir)/fntests.log || true
-	@echo "## Removing target directory (if empty)..."
-	test -e $(target_dir) && rmdir $(target_dir) || true
-	@echo

=== debian/changelog ===
octave-instrument-control (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0
  * d/watch: Update upstream tarball URL
  * d/p/assert-timeout.patch: Drop patch (applied upstream)
  * d/copyright: Reflect upstream changes
  * d/p/typo-doc-visadevlist.patch: New patch
  * d/u/metadata: Update upstream URLs
  * d/salsa-ci.yml: New file
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3
  * d/s/lintian-overrides: Drop unused override

 -- Rafael Laboissière <rafael@debian.org>  Sat, 24 Jan 2026 12:42:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: octave-instrument-control
 Section: math
-Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -9,7 +8,7 @@
                python3 <!nodoc>,
                texlive-base <!nodoc>,
                texlive-latex-base <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gnu-octave.github.io/packages/instrument-control/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-instrument-control.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-instrument-control

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/instrument-control/
Matching-Pattern: https://github.com/gnu-octave/instrument-control/releases/download/release-.*/instrument-control-@ANY_VERSION@@ARCHIVE_EXT@
